# HauptTabMitController (1_graphentester)

Package control

## Class HauptTabMitController

- java.lang.Object
- - javafx.scene.control.Tab
  - - control.TabMitController
    - - control.HauptTabMitController

All Implemented Interfaces:
  `javafx.css.Styleable`, `javafx.event.EventTarget`

    public class HauptTabMitController
    extends TabMitController

Die Klasse HauptTabMitController stellt einen Tab inclusive ihres Controllers für das Hauptfenster des Graphentesters dar. Einzelne Knoten oder Kanten können selektiert werden.

Version:
  v6.7 (9.12.2020)
Author:
  Thomas Schaller

### Field Summary

### Fields inherited from class control.TabMitController

`graph, options, viewer`

### Fields inherited from class javafx.scene.control.Tab

`CLOSED_EVENT, SELECTION_CHANGED_EVENT, TAB_CLOSE_REQUEST_EVENT`

### Constructor Summary

Constructors
`HauptTabMitController​(Graph graph, GraphOptions options)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initialize()`

### Methods inherited from class control.TabMitController

`getGraphOptions, getViewer, setGraph, tabOeffnen, update`

### Methods inherited from class javafx.scene.control.Tab

`buildEventDispatchChain, closableProperty, contentProperty, contextMenuProperty, disabledProperty, disableProperty, getClassCssMetaData, getContent, getContextMenu, getCssMetaData, getGraphic, getId, getOnClosed, getOnCloseRequest, getOnSelectionChanged, getProperties, getPseudoClassStates, getStyle, getStyleableParent, getStyleClass, getTabPane, getText, getTooltip, getTypeSelector, getUserData, graphicProperty, hasProperties, idProperty, isClosable, isDisable, isDisabled, isSelected, onClosedProperty, onCloseRequestProperty, onSelectionChangedProperty, selectedProperty, setClosable, setContent, setContextMenu, setDisable, setGraphic, setId, setOnClosed, setOnCloseRequest, setOnSelectionChanged, setStyle, setText, setTooltip, setUserData, styleProperty, tabPaneProperty, textProperty, tooltipProperty`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javafx.css.Styleable

`getStyleableNode`

### Constructor Detail

#### HauptTabMitController

    public HauptTabMitController​(Graph graph,
                                 GraphOptions options)

### Method Detail

#### initialize

    public void initialize()

Overrides:
  `initialize` in class `TabMitController`